API ReferenceUsers
Update user information
Analytics Events
USER_USERINFO_UPDATE_STARTUSER_USERINFO_UPDATE_SUCCESSUSER_USERINFO_UPDATE_FAIL
PUT
/v1/userinfoUpdates the information of the currently authenticated user.
Analytic events
- USER_USERINFO_UPDATE_START
- USER_USERINFO_UPDATE_SUCCESS
- USER_USERINFO_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
name*string
User's full name.
Response Body
application/json
curl -X PUT "https://manage.mattr.global/v1/userinfo" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe" }'{
"id": "8f6d40a9-d913-45e8-aa3e-8c99d62cd8fb",
"email": "john-doe@example.com",
"name": "John Doe",
"pricingPlan": {
"type": "Standard",
"endDate": "2019-08-24T14:15:22Z"
},
"status": "Active",
"connectionStrategy": "auth0"
}Empty
Empty
How would you rate this page?
Delete a tenant membership DELETE
Removes the membership of a user from the specified tenant. This will remove all user permissions for this tenant. ### **Analytic events** * TENANT_MEMBERSHIP_DELETE_START * TENANT_MEMBERSHIP_DELETE_SUCCESS * TENANT_MEMBERSHIP_DELETE_FAIL
Retrieve user information GET
Retrieves information about the currently authenticated user. ### **Analytic events** * USER_USERINFO_RETRIEVE_START * USER_USERINFO_RETRIEVE_SUCCESS * USER_USERINFO_RETRIEVE_FAIL